Skip to content

# Namespace: Util

Common.Util

## Table of contents

### Classes

- Singleton

### Functions

- cssNames
- openExternal
- prevDefault
- stopPropagation

## Functions

### cssNames

▸ cssNames(...`args`): `string`

#### Parameters

Name | Type
--- | ---
`...args` | `IClassName`[]

#### Returns

`string`

### openExternal

▸ openExternal(`url`): `Promise`<void>

#### Parameters

Name | Type
--- | ---
`url` | `string`

#### Returns

`Promise`<void>

### prevDefault

▸ prevDefault(`callback`): (`evt`: `E`) => `any`

#### Type parameters

Name | Type
--- | ---
`E` | `E`: `Event` | `SyntheticEvent`<Element, Event>

#### Parameters

Name | Type
--- | ---
`callback` | (`evt`: `E`) => `any`

#### Returns

`fn`

▸ (`evt`): `any`

##### Parameters

Name | Type
--- | ---
`evt` | `E`

##### Returns

`any`

### stopPropagation

▸ stopPropagation(`evt`): `void`

#### Parameters

Name | Type
--- | ---
`evt` | `Event` | `React.SyntheticEvent`

#### Returns

`void`